Commit c14a52f6 authored by Philipp Arras's avatar Philipp Arras
Browse files

Set matplotlib backend in Dockerfile

parent e7ff7772
...@@ -65,7 +65,6 @@ pages: ...@@ -65,7 +65,6 @@ pages:
- NIFTy_4 - NIFTy_4
before_script: before_script:
- export MPLBACKEND="agg"
- python setup.py install --user -f - python setup.py install --user -f
- python3 setup.py install --user -f - python3 setup.py install --user -f
......
...@@ -29,6 +29,9 @@ RUN apt-get update && apt-get install -y python-matplotlib python3-matplotlib \ ...@@ -29,6 +29,9 @@ RUN apt-get update && apt-get install -y python-matplotlib python3-matplotlib \
&& python3 -m pip install --upgrade pip && python3 -m pip install jupyter && python -m pip install --upgrade pip && python -m pip install jupyter \ && python3 -m pip install --upgrade pip && python3 -m pip install jupyter && python -m pip install --upgrade pip && python -m pip install jupyter \
&& rm -rf /var/lib/apt/lists/* && rm -rf /var/lib/apt/lists/*
# Set matplotlib backend
ENV MPLBACKEND agg
# Create user (openmpi does not like to be run as root) # Create user (openmpi does not like to be run as root)
RUN useradd -ms /bin/bash testinguser RUN useradd -ms /bin/bash testinguser
USER testinguser USER testinguser
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment